Subject: Re: [RFC/largely untested/PATCH] sha1_name: interpret ~n as HEAD~n

From: Michael J Gruber <[email-masked]>
Date: Mon, 02 May 2011 19:49:30 +0200

Junio C Hamano venit, vidit, dixit 02.05.2011 18:33:
> Michael J Gruber <[email-masked]> writes:
> 
>> Introducing a shortcut ~n for HEAD~n does not introduce new
>> inconsistencies (it's a shortcut for a commit, for every command which
>> takes a commit) - and does not contradict introducing -n at all, btw.
> 
> I thought we already ruled out ~n because many shells think ~n is a path.

You have, apparently ;)

unquoted ~0 conflicts, but unquoted ~n conflicts only when you use pushd
(and the stack has n entries; or n+-1, I can't count either...). Even
\~2 is shorter than HEAD~2, btw., although I don't consider that viable.

But I understand that I'll have to leave ~n for my private edition.

Michael